<dx-range-selector
id="range-selector"
title="Select a Year Period"
[dataSource]="dataSource">
<dxo-margin [top]="50"></dxo-margin>
<dxo-chart>
<dxo-common-series-settings
type="spline"
argumentField="year"
valueField="oil">
</dxo-common-series-settings>
<dxo-series-template
nameField="country"
[customizeSeries]="customizeSeries">
</dxo-series-template>
</dxo-chart>
<dxo-scale>
<dxo-label format="decimal"></dxo-label>
</dxo-scale>
</dx-range-selector>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxRangeSelectorModule } from 'devextreme-angular';
import { Service, Data } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css']
})
export class AppComponent {
dataSource: Data[];
constructor(service: Service) {
this.dataSource = service.getData();
}
customizeSeries(valueFromNameField) {
return valueFromNameField === "USA" ? { color: "red" } : {};
}
}
@NgModule({
imports: [
BrowserModule,
DxRangeSelectorModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #range-selector {
height: 310px;
}
import { Injectable } from '@angular/core';
export class Data {
year: number;
country: string;
oil: number;
}
let data: Data[] = [
{ year: 1970, country: "Saudi Arabia", oil: 192.2 },
{ year: 1980, country: "Saudi Arabia", oil: 509.8 },
{ year: 1990, country: "Saudi Arabia", oil: 342.6 },
{ year: 2000, country: "Saudi Arabia", oil: 456.3 },
{ year: 2008, country: "Saudi Arabia", oil: 515.3 },
{ year: 2009, country: "Saudi Arabia", oil: 459.5 },
{ year: 1970, country: "USA", oil: 533.5 },
{ year: 1980, country: "USA", oil: 480.2 },
{ year: 1990, country: "USA", oil: 416.6 },
{ year: 2000, country: "USA", oil: 352.6 },
{ year: 2008, country: "USA", oil: 304.9 },
{ year: 2009, country: "USA", oil: 325.3 },
{ year: 1970, country: "Mexico", oil: 24.2 },
{ year: 1980, country: "Mexico", oil: 107.2 },
{ year: 1990, country: "Mexico", oil: 146.3 },
{ year: 2000, country: "Mexico", oil: 171.2 },
{ year: 2008, country: "Mexico", oil: 157.7 },
{ year: 2009, country: "Mexico", oil: 147.5 }
];
@Injectable()
export class Service {
getData(): Data[] {
return data;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18',
'devextreme-angular': 'npm:devextreme-angular@20.2.5',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxRangeSelector
id="range-selector"
:data-source="dataSource"
title="Select a Year Period"
>
<DxMargin :top="50"/>
<DxChart>
<DxCommonSeriesSettings
argument-field="year"
value-field="oil"
type="spline"
/>
<DxSeriesTemplate
:customize-series="customizeSeries"
name-field="country"
/>
</DxChart>
<DxScale>
<DxLabel>
<DxFormat type="decimal"/>
</DxLabel>
</DxScale>
</DxRangeSelector>
</template>
<script>
import {
DxRangeSelector,
DxMargin,
DxChart,
DxCommonSeriesSettings,
DxSeriesTemplate,
DxScale,
DxFormat,
DxLabel,
} from 'devextreme-vue/range-selector';
import { dataSource } from './data.js';
export default {
components: {
DxRangeSelector,
DxMargin,
DxChart,
DxCommonSeriesSettings,
DxSeriesTemplate,
DxScale,
DxFormat,
DxLabel,
},
data() {
return {
dataSource,
};
},
methods: {
customizeSeries(seriesName) {
return seriesName === 'USA' ? { color: 'red' } : {};
},
},
};
</script>
<style scoped>
#range-selector {
height: 310px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const dataSource = [
{ year: 1970, country: 'Saudi Arabia', oil: 192.2 },
{ year: 1980, country: 'Saudi Arabia', oil: 509.8 },
{ year: 1990, country: 'Saudi Arabia', oil: 342.6 },
{ year: 2000, country: 'Saudi Arabia', oil: 456.3 },
{ year: 2008, country: 'Saudi Arabia', oil: 515.3 },
{ year: 2009, country: 'Saudi Arabia', oil: 459.5 },
{ year: 1970, country: 'USA', oil: 533.5 },
{ year: 1980, country: 'USA', oil: 480.2 },
{ year: 1990, country: 'USA', oil: 416.6 },
{ year: 2000, country: 'USA', oil: 352.6 },
{ year: 2008, country: 'USA', oil: 304.9 },
{ year: 2009, country: 'USA', oil: 325.3 },
{ year: 1970, country: 'Mexico', oil: 24.2 },
{ year: 1980, country: 'Mexico', oil: 107.2 },
{ year: 1990, country: 'Mexico', oil: 146.3 },
{ year: 2000, country: 'Mexico', oil: 171.2 },
{ year: 2008, country: 'Mexico', oil: 157.7 },
{ year: 2009, country: 'Mexico', oil: 147.5 },
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import RangeSelector, {
Margin, Chart, CommonSeriesSettings, SeriesTemplate, Scale, Label, Format,
} from 'devextreme-react/range-selector';
import { dataSource } from './data.js';
function App() {
return (
<RangeSelector
id="range-selector"
title="Select a Year Period"
dataSource={dataSource}
>
<Margin top={50} />
<Chart>
<CommonSeriesSettings argumentField="year" valueField="oil" type="spline" />
<SeriesTemplate customizeSeries={customizeSeries} nameField="country" />
</Chart>
<Scale>
<Label>
<Format type="decimal" />
</Label>
</Scale>
</RangeSelector>
);
}
function customizeSeries(valueFromNameField) {
return valueFromNameField === 'USA' ? {
color: 'red',
} : {};
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#range-selector {
height: 310px;
}
export const dataSource = [
{ year: 1970, country: 'Saudi Arabia', oil: 192.2 },
{ year: 1980, country: 'Saudi Arabia', oil: 509.8 },
{ year: 1990, country: 'Saudi Arabia', oil: 342.6 },
{ year: 2000, country: 'Saudi Arabia', oil: 456.3 },
{ year: 2008, country: 'Saudi Arabia', oil: 515.3 },
{ year: 2009, country: 'Saudi Arabia', oil: 459.5 },
{ year: 1970, country: 'USA', oil: 533.5 },
{ year: 1980, country: 'USA', oil: 480.2 },
{ year: 1990, country: 'USA', oil: 416.6 },
{ year: 2000, country: 'USA', oil: 352.6 },
{ year: 2008, country: 'USA', oil: 304.9 },
{ year: 2009, country: 'USA', oil: 325.3 },
{ year: 1970, country: 'Mexico', oil: 24.2 },
{ year: 1980, country: 'Mexico', oil: 107.2 },
{ year: 1990, country: 'Mexico', oil: 146.3 },
{ year: 2000, country: 'Mexico', oil: 171.2 },
{ year: 2008, country: 'Mexico', oil: 157.7 },
{ year: 2009, country: 'Mexico', oil: 147.5 },
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);